Mailinglist Archive: opensuse (4600 mails)

< Previous Next >
RE: [SLE] kernel 2.6.1-1 and alsa. [SOLVED]
  • From: "Catimimi" <Catimimi@xxxxxxxxxxxxxx>
  • Date: Mon, 19 Jan 2004 18:40:51 +0100
  • Message-id: <CBECJIGJNOIMLOEADDCIMEAECOAA.Catimimi@xxxxxxxxxxxxxx>

> -----Message d'origine-----
> De : Sid Boyce [mailto:sboyce@xxxxxxxxxxxxxxxx]
> Envoye : lundi 19 janvier 2004 11:28
> A : SuSE Mailing List
> Objet : Re: [SLE] kernel 2.6.1-1 and alsa. [SOLVED]
>
>
> Catimimi wrote:
> >>-----Message d'origine-----
> >>De : Sid Boyce [mailto:sboyce@xxxxxxxxxxxxxxxx]
>
> >>Rebooted with the alsa-1.0.1 libs, utils, oss-compat all installed, same
> >>problem. rebuilt kernel 2.6.1-mm4, same complaint. I have a script that
> >>inswerts the alsa modules, then a check of the version shows ----
> >>
> >>barrabas:/ftp/jan04 # cat /proc/asound/version
> >>Advanced Linux Sound Architecture Driver Version 1.0.1 (Tue Dec 30
> >>10:04:14 2003 UTC).
> >>Compiled on Jan 18 2004 for kernel 2.6.1-mm4.
> >>
> >>I have to hunt that one down a little later.
> >>Regards
> >>Sid.
> >>
> >>
> >>--
> >>Sid Boyce .... Hamradio G3VBV and keen Flyer
> >>Linux Only Shop.
> >>
> >
> >
> > Hi,
> >
> > In the file /etc/init.d/alsasound at line 149, it is tested if the alsa
> > version is 0.9 !!!
> > Now it is 1.0 !!
> > In this line replace 0\.9 by 1\.0 and the problem is solved.
> >
> Brilliant, thanks. I looked at that file last night in the gaps between
> falling asleep and waking in the chair here, so I missed it.
>
> > Note that if you use kernels 2.4 and 2.6 on the same install,
> you have to
> > modify a
> > little more un order to make a double check.
> >
> For my 2.4.25-pre kernels on the laptop, I use alsa-1.0.1 rather than
> the standard OSS drivers in 2.4, you would think they'd upgrade 2.4 to
> use alsa as standard as SuSE have done.
>
> > In my case I've two installs of SuSE 9.0 since the interface of
> the Nvidia
> > driver is not the same
> > for both kernels.
> >
> I accidentally found that the Nvidia driver modified for 2.6.x with
> patches from www.minion.de will work with 2.4.x. I had two separate
> directories also, but when I rebuilt the SuSE 2.4.21-99 kernel, I
> automatically went to the 2.6.x Nvidia driver directory and did "make
> install", it was only after it was up and working that I realised what
> I'd done. I've seen something a few days ago on minion.de (I think) that
> said it should work for both the 2.6.x and 2.4.x kernels.
>

I just tried but it doesn't work. Perhaps is it because I use 4363 release!
If I use more recent ones I'm unable to get the Alt+Ctrl+Fx text consoles
working !!

Did you meet this problem and did you solve it ?

My video card is a MSI GeForce4 MX440-TD8X

Michel

> > Thanks to Joe Morris who gave me a good tip.
> >
> > Catimimi.
> >
> > Did you notice that compilation fails if you don't reply 'Y' at the new
> > option /proc/mm ?
> >
> >
> I can't see that in my .config for 2.6.1-mm4
> CONFIG_BSD_PROCESS_ACCT=y
> CONFIG_IKCONFIG_PROC=y
> CONFIG_ACPI_PROCESSOR=m
> CONFIG_CPU_FREQ_PROC_INTF=y
> CONFIG_PCI_LEGACY_PROC=y
> CONFIG_PNPBIOS_PROC_FS=y
> CONFIG_SCSI_PROC_FS=y
> # CONFIG_I2O_PROC is not set
> CONFIG_RADIO_TYPHOON_PROC_FS=y
> CONFIG_REISERFS_PROC_INFO=y
> CONFIG_PROC_FS=y
> CONFIG_PROC_KCORE=y
>
> Regards
> Sid
>
>
> --
> Sid Boyce .... Hamradio G3VBV and keen Flyer
> Linux Only Shop.
>
> --
> Check the headers for your unsubscription address
> For additional commands send e-mail to suse-linux-e-help@xxxxxxxx
> Also check the archives at http://lists.suse.com
> Please read the FAQs: suse-linux-e-faq@xxxxxxxx
>
>


< Previous Next >
Follow Ups
References